CREATE TABLE auditevent (
    aeid INTEGER NOT NULL,
    aetype VARCHAR(32),
    aesubtype VARCHAR(32),
    aetimestamp DATETIME,
    PRIMARY KEY(aeid)
);
CREATE INDEX ix_aetype ON auditevent(aetype);
CREATE INDEX ix_aesubtype ON auditevent(aesubtype);
CREATE INDEX ix_aetimestamp ON auditevent(aetimestamp);
CREATE TABLE auditeventlocal (
    aeid INTEGER NOT NULL,
    aelpid CHAR(8),
    aelusername VARCHAR(32),
    aelsystem VARCHAR(32),
    PRIMARY KEY(aeid)
);
CREATE INDEX ix_aelusername ON auditeventlocal(aelusername);
CREATE TABLE auditeventlocalid (
    aeid INTEGER NOT NULL,
    aeliidname VARCHAR(32),
    aeliidvalue VARCHAR(32),
    PRIMARY KEY(aeid)
);
CREATE INDEX ix_aeliidname ON auditeventlocalid(aeliidname);
CREATE TABLE auditeventlocalremote (
    aeid INTEGER NOT NULL,
    aelrremoteusername VARCHAR(32),
    aelrremotesystem VARCHAR(32),
    aelrterminal VARCHAR(255),
    PRIMARY KEY(aeid)
);
CREATE INDEX ix_aelrremoteusername ON auditeventlocalremote(aelrremoteusername);
CREATE INDEX ix_aelrremotesystem ON auditeventlocalremote(aelrremotesystem);
CREATE TABLE auditeventlocalfieldupdates (
    aeid INTEGER NOT NULL,
    aelfusource VARCHAR(32),
    PRIMARY KEY(aeid)
);
CREATE INDEX ix_aelfusource ON auditeventlocalfieldupdates(aelfusource);
CREATE TABLE auditfieldupdate (
    afuid INTEGER NOT NULL,
    afueventid INTEGER NOT NULL,
    afufieldname VARCHAR(32),
    afuoldvalue VARCHAR(255),
    afunewvalue VARCHAR(255),
    PRIMARY KEY(afuid)
);
CREATE INDEX ix_afueventid ON auditfieldupdate(afueventid);
CREATE INDEX ix_afufieldname ON auditfieldupdate(afufieldname);

