from java.lang import System
from java.util.logging import Level
from java.util.logging import Logger
from javax.persistence import Persistence

from dk.vajhoej.vms.audit.db.raw import AuditDbRecord

t1 = System.currentTimeMillis()
Logger.getLogger("org.hibernate").setLevel(Level.OFF)
emf = Persistence.createEntityManagerFactory("prod_audit_raw")
em = emf.createEntityManager()
q = em.createQuery("SELECT DISTINCT ar FROM AuditDbRecord AS ar JOIN FETCH ar.packets ap WHERE (ar.type = 'Login failure' OR ar.type = 'Breakin') ORDER BY ar.id", AuditDbRecord)
res = q.getResultList()
f = open('z.4', 'w')
n = 0
for ar in res:
    f.write('%s - %s:\n' % (ar.type, ar.subType))
    for ap in ar.packets:
        if ap.key == 'TimeStamp':
            f.write('  TimeStamp = %s\n' % (ap.value))
        if ap.key == 'RemoteUsername':
            f.write('  RemoteUsername = %s\n' % (ap.value))
        if ap.key == 'RemoteSystem':
            f.write('  RemoteSystem = %s\n' % (ap.value))
        if ap.key == 'Terminal':
            f.write('  Terminal = %s\n' % (ap.value))
    n = n + 1
f.close()
t2 = System.currentTimeMillis()
print("logfail - db (raw) - JPA : %d records in %d milliseconds" % (n, t2 - t1))
